Bug 796049 - [2d470cd910b49976befea664ae5cc7ea6aa10020]Return status of the volume rebalance status is 255 even though it was successful.
[2d470cd910b49976befea664ae5cc7ea6aa10020]Return status of the volume rebalan...
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: cli (Show other bugs)
mainline
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: shishir gowda
:
Depends On:
Blocks: 817967
  Show dependency treegraph
 
Reported: 2012-02-22 02:35 EST by Vijaykumar Koppad
Modified: 2014-08-24 20:49 EDT (History)
3 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 14:03:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vijaykumar Koppad 2012-02-22 02:35:46 EST
Description of problem:


Volume Name: doa
Type: Distribute
Volume ID: 4af9a62c-a13f-472d-97b0-ea7784a6b0ec
Status: Started
Number of Bricks: 4
Transport-type: tcp
Bricks:
Brick1: 192.168.1.56:/root/bricks/doa/d1
Brick2: 192.168.1.56:/root/bricks/doa/d2
Brick3: 192.168.1.56:/root/bricks/doa/d3
Brick4: 192.168.1.56:/root/bricks/doa/d4
root@vostro:~/programming# gluster volume rebalance doa status
Rebalance completed!
root@vostro:~/programming# echo $?
255


Version-Release number of selected component (if applicable):master[3.3]


How reproducible:always
Comment 1 shishir gowda 2012-03-16 03:25:43 EDT
This has been fixed as part of bug 801322.
commit id: d05708d7976a8340ae7647fd26f38f22f1863b6a
http://review.gluster.com/2942

Note You need to log in before you can comment on or make changes to this bug.